> ## Documentation Index
> Fetch the complete documentation index at: https://docs.knoxcall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Environment

> Permanently delete an environment from your tenant

## Delete Environment

```text theme={"dark"}
DELETE /v1/environments/:id
```

Permanently deletes an environment. You cannot delete the default environment or an environment that is in use by route configurations.

### Path Parameters

| Parameter | Type | Description        |
| --------- | ---- | ------------------ |
| `id`      | uuid | The environment ID |

### Response

```json theme={"dark"}
{
  "data": { "deleted": true },
  "meta": { "request_id": "550e8400-e29b-41d4-a716-446655440000" }
}
```

### Errors

| Status | Type               | Description                                             |
| ------ | ------------------ | ------------------------------------------------------- |
| 400    | `validation_error` | Cannot delete the default environment                   |
| 404    | `not_found`        | Environment not found                                   |
| 409    | `in_use`           | Environment is used by one or more route configurations |
